#include "AbstractAPP.h"

void AbstractAPP::keyPressEvent(unsigned int key)
{
}
void AbstractAPP::keyReleaseEvent(unsigned int key)
{
}
void AbstractAPP::mouseReleaseEvent( unsigned int mouseButton )
{
}
void AbstractAPP::mousePressEvent( unsigned int mouseButton )
{
}
void AbstractAPP::mouseMoveEvent( unsigned int posX, unsigned int posY )
{
}
void AbstractAPP::mouseWheelEvent( int delta )
{
}

void AbstractAPP::refresh(void)
{
}

int AbstractAPP::getFps(void)
{
	return this->fps[ this->actualFpsIdx ];
}
void AbstractAPP::setFps( int fps)
{
	actualFpsIdx=!actualFpsIdx;
	this->fps[actualFpsIdx]=fps;
}

string AbstractAPP::getApplicationName(void)
{
	return this->name;
}
AbstractAPP::AbstractAPP( const string &appName, Context &context )
{
	this->name= appName;
	this->context = &context;
	this->myWidget = NULL;
}

void AbstractAPP::exceptionTermination( const string& reason, exception &e )
{
	KODIAK_ERROR << reason + "\n" + e.what();
}

void AbstractAPP::initializationStatus( const string& message )
{
	KODIAK_PROGRESS << "[" + this->getApplicationName() + "] :" + message;
}

